' Adapted from a Turbo C program I wrote to identify drive sizes,
' free space, network software loaded, and network connections.
'
' This code uses MSCDEX for accessing the CD-ROM drive.
'
' This code released to the public domain 8/1/94. John E. Carter
' johnecarter@mindspring.com
'
' If there are enough requests, I'll upload the complete C program.

'  int al, bl, firstcd
'/* check for CD-ROM drives */
'
'  reg.x.ax = 0x1500;
'  int86(0x2f,sregp, dregp);
'  al = reg.x.ax & 255;
'  bl = reg.x.bx & 255;
'  if(al == 255 && bl > 0)
'  {
'    printf("CD-ROM(s): ");
'    firstcd = reg.x.cx;
'    printf("%d drive",reg.x.bx);
'    if (reg.x.bx > 1)
'      printf("s beginning at");
'
'    printf(" %c:\n", firstcd + 65);
'  }

defint a-z
$include "regnames.inc"
reg %ax, &H1500
call interrupt &H2f        'call to MSCDEX to check for CD-ROM drives
al = reg(%ax) and 255      'if al = 255, MSCDEX is loaded
bl = reg(%bx) and 255      'bl is number of CD-ROM drives on machine
cl = reg(%cx) and 255      'cl is number of first CD-ROM drive (zero based)
if al = 255 and bl > 0 then
  print "CD-ROM(s): "; bl;"drive";
  if bl > 1 then print "s beginning at";
  print " ";chr$(cl + 65);":"
else
  print "MSCDEX not loaded.  No CD-ROM drives found."
end if

